Package org.eclipse.ui.internal

# Class LargeFileLimitsPreferenceHandler.LargeFileEditorSelectionDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.ui.dialogs.EditorSelectionDialog
org.eclipse.ui.internal.LargeFileLimitsPreferenceHandler.LargeFileEditorSelectionDialog

All Implemented Interfaces:
  `IShellProvider`

Enclosing class:
  LargeFileLimitsPreferenceHandler

public static class LargeFileLimitsPreferenceHandler.LargeFileEditorSelectionDialog extends EditorSelectionDialog

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

## Field Summary

### Fields inherited from class org.eclipse.ui.dialogs.EditorSelectionDialog

`STORE_ID_INTERNAL_EXTERNAL`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`LargeFileEditorSelectionDialog(Shell shell, String extension, long size)`

## Method Summary

Modifier and Type
Method
Description
`protected Control`
`createDialogArea(Composite parent)`
Creates and returns the contents of the upper part of the dialog (above the button bar).
`protected IDialogSettings`
`getDialogSettings()`
Return the dialog store to cache values into
`boolean`
`shouldRememberSelectedEditor()`

### Methods inherited from class org.eclipse.ui.dialogs.EditorSelectionDialog

`buttonPressed, close, configureShell, createButtonsForButtonBar, fillEditorTable, filterEditors, getExternalEditors, getInternalEditors, getSelectedEditor, handleDoubleClickEvent, isResizable, promptForExternalEditor, restoreWidgetValues, saveWidgetValues, setEditorsToFilter, setFileName, setMessage, updateEnableState, updateOkButton`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LargeFileEditorSelectionDialog

public LargeFileEditorSelectionDialog(Shell shell, String extension, long size)

## Method Details

### getDialogSettings

protected IDialogSettings getDialogSettings()
Description copied from class: `EditorSelectionDialog`
Return the dialog store to cache values into

Overrides:
  `getDialogSettings` in class `EditorSelectionDialog`

### createDialogArea

protected Control createDialogArea(Composite parent)
Description copied from class: `EditorSelectionDialog`
Creates and returns the contents of the upper part of the dialog (above the button bar). Subclasses should overide.

Overrides:
  `createDialogArea` in class `EditorSelectionDialog`
Parameters:
  `parent` - the parent composite to contain the dialog area
Returns:
  the dialog area control

### shouldRememberSelectedEditor

public boolean shouldRememberSelectedEditor()